var ttcontents = new Array();

ttcontents[0] = "DOMINANCE (a notable amount of _SOME_ of the following): Poise and confidence; take charge attitude; verbally fluent and persuasive; dogged persistence and sense of duty; face reality; relates to leadership VS submissiveness, dependence, conformity. [The reason it says '_SOME_' is because these traits do not measure just one thing.] 'CPI' is the California Psychological Inventory.";
ttcontents[1] = "CAPACITY FOR STATUS (a notable amount of _SOME_ of the following): Indicative of status and upward mobility; social poise and self-confidence; security and absence of fears; aesthetic interests; social interests. [REMINDER: The reason it says '_SOME_' is because these traits do not measure just one thing.]";
ttcontents[2] = "SOCIABLITY (a notable amount of _SOME_ of the following): Enjoyment of social activities; poise and self-assurance; intellectual and cultural interests; tolerance for others, stricter standards for oneself; related to effectiveness in group problem-solving.";
ttcontents[3] = "SOCIAL PRESENSE (a notable amount of _SOME_ of the following): like Sociability, but indicates verve, spontaneity; more verbal aggression; poise and enjoyment of social interactions; strong element of self-assurance; broad-minded, unstuffy attitudes about social rules.";
ttcontents[4] = "INDEPENDENCE: relates to self-sufficiency, resourcefulness";
ttcontents[5] = "EMPATHY (a notable amount of _SOME_ of the following): Pleasant, charming, friendly, cheerful, sociable, sentimental; related to maturity in moral judgments; related to social acuity.";
ttcontents[6] = "RESPONSIBILITY (a notable amount of _SOME_ of the following): Concern for social, civic and moral obligations; reflects a sense of duty and self-discipline; disapproval of special privileges; poise and self-confidence; trust and confidence in others; denial of impulsivity or rebelliousness.";
ttcontents[7] = "SELF CONTROL (a notable amount of _SOME_ of the following): Generalized restraint of behavior; thought and reason, seen as best solutions to problems; shuns impulsive or antisocial behaviors; self-effacing modesty; social inhibitions. (High levels may indicate overcontrol and person may be volatile.; low scores: impulsive or aggressive. Several items opposite to Self-Acceptance and Social Presence.)";

ttcontents[8] = "SOCIALIZATION (a notable amount of _SOME_ of the following): Cohesiveness in family; optimism and confidence (vs negative world view); social sensitivity and empathy; scholastic and family adjustment; related to family background.";
ttcontents[9] = "WELL BEING (a notable amount of _SOME_ of the following): Denial of various mental and physical symptoms; denies any major family problems; not particularly tense or fearful; independent, self-sufficient, confident; may indicate, to some degree, level of overall adjustment.";
ttcontents[10] = "SELF-ACCEPTANCE (a notable amount of _SOME_ of the following): Social poise and self confidence (supposed true whether one is active or inactive socially); values hard work; accepts human frailties; supposed to relate to an imperturbable sense of self-worth.";
ttcontents[11] = "TOLERANCE (a notable amount of _SOME_ of the following): Openness and flexibility (vs dogmatism); confident vs cynical; low resentment and hostility toward others; denies anxiety and isolation (alienation); poised and self-assured.";
ttcontents[12] = "FLEXIBILITY (a notable amount of _SOME_ of the following): (No overlap with other CPI scales.) Rejection of simple, dogmatic assertions; tolerance for uncertainty and ambiguity; possibly some impulsivity; untidy and disorganized; relaxed, non-judgmental view regarding moral standards; very high scores may indicate some instability.";
ttcontents[13] = "ACHIEVEMENT VIA CONFORMANCE (a notable amount of _SOME_ of the following): Enjoyment of school work and effectiveness in school; vitality and efficacy outside school; diligence; acceptance of rules and regulations and rejection of frivolous or nonconformist behavior; even-tempered; confident; indicates especially: achievement requiring conformity. Related to high school GPA";
ttcontents[14] = "ACHIEVEMENT VIA INDEPENDENCE (a notable amount of _SOME_ of the following): Tolerance for ambiguity and rejection of simple, dogmatic attitudes; willing to reject conventional answers; enjoyment of intellectual activities; thinks well of others, though not a social butterfly; positive adjustment; moral values; relates especially to achievement requiring independence. Related to h.s. and college GPA.";
ttcontents[15] = "INTELLECTUAL EFFICIENCY (a notable amount of _SOME_ of the following): (Overlaps: Sy,Ai,Sp,Re,To,Ac, and Cs): Confidence and self-assurance; free from complaints and ailments and from worries and apprehensions; gets along well with others; relates to some general sorts of intelligence (esp. verbal types): concept mastery, general information, comprehension of analogies; relates to h.s. and college GPA; some evidence it may relate to: person being well-organized, efficient, and committed to intellectual and cultural pursuits ('goal orientation').";

ttcontents[16] = "Extraversion is characterized by positive emotions, surgency, and the tendency to seek out stimulation and the company of others. The trait is marked by pronounced engagement with the external world. Extraverts enjoy being with people, and are often perceived as full of energy. They tend to be enthusiastic, action-oriented individuals who are likely to say 'Yes!' or 'Let's go!' to opportunities for excitement. In groups they like to talk, assert themselves, and draw attention to themselves. Introverts lack the social exuberance & activity levels of extraverts; may be active & energetic, simply not socially.";
ttcontents[17] = "Agreeableness is a tendency to be compassionate and cooperative rather than suspicious and antagonistic towards others. The trait reflects individual differences in general concern for social harmony. Agreeable individuals value getting along with others. They are generally considerate, friendly, generous, helpful, and willing to compromise their interests with others. Agreeable people also have an optimistic view of human nature. They believe people are basically honest, decent, and trustworthy. Disagreeable individuals place self-interest above getting along with others; may show skepticism about others motives.";
ttcontents[18] = "Conscientiousness is a tendency to show self-discipline, act dutifully, and aim for achievement. The trait shows a preference for planned rather than spontaneous behavior. It influences the way in which we control, regulate, and direct our impulses. Conscientiousness includes the factor known as Need for Achievement (NAch).";
ttcontents[19] = "Neuroticism is the tendency to experience negative emotions, such as anger, anxiety, or depression. It is sometimes called emotional instability. Those who score high in neuroticism are emotionally reactive and vulnerable to stress. They are more likely to interpret ordinary situations as threatening, and minor frustrations as hopelessly difficult. At the other end of the scale, individuals who score low in neuroticism are less easily upset and are less emotionally reactive; tend to be calm, emotionally stable, and free from persistent negative feelings.";
ttcontents[20] = "Openness is a general appreciation for art, emotion, adventure, unusual ideas, imagination, curiosity, and variety of experience. The trait distinguishes imaginative people from down-to-earth, conventional people. People who are open to experience are intellectually curious, appreciative of art, and sensitive to beauty. They tend to be, compared to closed people, more creative and more aware of their feelings. They are more likely to hold unconventional beliefs. People with low scores on openness tend to have more conventional, traditional interests.";


var tip = new Array();
var oldcontent;


var count = 0;

function initTooltips() {

$(".hastooltip").bind("mouseenter", showTip);

  $(".hastooltip").bind("mouseleave", hideTip);
  
  
for (var i = 0; i < 21; i++)
  
 {
    
	tip[i] = document.createElement("div");
	
	
	tip[i].appendChild(document.createTextNode(ttcontents[i]));
	if(i < 15) tip[i].className = "tooltipXX"; // + i;
	if(i >= 15) tip[i].className = "tooltipXXb";
	tip[i].style.visibility = "hidden";
	
 

  
}

return true;
}

function showTip(event)
{
 

  var target = event.target;



  var thenum = parseInt(target.getAttribute("id"));
  target.tooltip = tip[thenum];
  
  

   if (target.getAttribute("id") != "")
  {
    target.tooltip.setAttribute("id", target.getAttribute("id") + "tooltip");
  }
  


  var scrollingPosition = getScrollingPosition();
  var cursorPosition = [0, 0];

  if (typeof event.pageX != "undefined" && typeof event.x != "undefined")
  {
    cursorPosition[0] = event.pageX;
    cursorPosition[1] = event.pageY;
  }
  else
  {
    cursorPosition[0] = event.clientX + scrollingPosition[0];
    cursorPosition[1] = event.clientY + scrollingPosition[1];
  }

  target.tooltip.style.position = "absolute";
  target.tooltip.style.left = cursorPosition[0] + 10 + "px";
  target.tooltip.style.top = cursorPosition[1] + 10 + "px";
  target.tooltip.style.visibility = "hidden";
  var thetip = target.tooltip;

  document.getElementsByTagName("body")[0].appendChild(target.tooltip);

  var viewportSize = getViewportSize();

  if (cursorPosition[0] - scrollingPosition[0] + 10 + thetip.offsetWidth > viewportSize[0] - 25)
  {
    target.tooltip.style.left = scrollingPosition[0] + viewportSize[0] - 25 - thetip.offsetWidth + "px";
  }
  else
  {
    target.tooltip.style.left = cursorPosition[0] + 10 + "px";
  }

  if (cursorPosition[1] - scrollingPosition[1] + 10 + thetip.offsetHeight > viewportSize[1] - 25)
  {
    if (event.clientX > (viewportSize[0] - 25 - thetip.offsetWidth))
    {
      target.tooltip.style.top = cursorPosition[1] - thetip.offsetHeight - 10 + "px";
    }
    else
    {
      target.tooltip.style.top = scrollingPosition[1] + viewportSize[1] - 25 - thetip.offsetHeight + "px";
    }
  }
  else
  {
    target.tooltip.style.top = cursorPosition[1] + 10 + "px";
  }

  target.tooltip.style.visibility = "visible";

  return true;
}

function hideTip(event)
{

  var target = event.target;



  if (target.tooltip != null || target.tooltip != undefined)
  {

	document.getElementsByTagName("body")[0].removeChild(target.tooltip);
  }

  return false;
}





function getViewportSize()
{
  var size = [0,0];

  if (typeof window.innerWidth != 'undefined')
  {
    size = [
        window.innerWidth,
        window.innerHeight
    ];
  }
  else if (typeof document.documentElement != 'undefined'
      && typeof document.documentElement.clientWidth != 'undefined'
      && document.documentElement.clientWidth != 0)
  {
    size = [
        document.documentElement.clientWidth,
        document.documentElement.clientHeight
    ];
  }
  else
  {
    size = [
        document.getElementsByTagName('body')[0].clientWidth,
        document.getElementsByTagName('body')[0].clientHeight
    ];
  }

  return size;
}

function getScrollingPosition()
{
  //array for X and Y scroll position
  var position = [0, 0];

  //if the window.pageYOffset property is supported
  if(typeof window.pageYOffset != 'undefined')
  {
    //store position values
    position = [
        window.pageXOffset,
        window.pageYOffset
    ];
  }

  //if the documentElement.scrollTop property is supported
  //and the value is greater than zero
  if(typeof document.documentElement.scrollTop != 'undefined'
    && document.documentElement.scrollTop > 0)
  {
    //store position values
    position = [
        document.documentElement.scrollLeft,
        document.documentElement.scrollTop
    ];
  }

  //if the body.scrollTop property is supported
  else if(typeof document.body.scrollTop != 'undefined')
  {
    //store position values
    position = [
        document.body.scrollLeft,
        document.body.scrollTop
    ];
  }

  //return the array
  return position;
}

